// Copyright (c) 2012 Ecma International.  All rights reserved.
// Ecma International makes this code available under the terms and conditions set
// forth on http://hg.ecmascript.org/tests/test262/raw-file/tip/LICENSE (the
// "Use Terms").   Any redistribution of this code must retain the above
// copyright and this notice and otherwise comply with the Use Terms.

/*---
es5id: 15.2.3.7-5-b-163
description: >
    Object.defineProperties - 'descObj' is the global object which
    implements its own [[Get]] method to get 'writable' property
    (8.10.5 step 6.a)
includes:
    - propertyHelper.js
    - fnGlobalObject.js
---*/


var obj = {};

try {
    fnGlobalObject().writable = false;

    Object.defineProperties(obj, {
        property: fnGlobalObject()
    });

    assert(obj.hasOwnProperty("property"));
    verifyNotWritable(obj, "property");

} finally {
    delete fnGlobalObject().writable;
}


